<template>
    <div
        class="marketBottom__market2-block--more"
        :class="{ active: isActive }"
        @click="toggleState()"
        ref="moreMenu"
    >
        <div></div>
        <div></div>
        <div></div>
    </div>
    <div ref="itemMenuWindow"
        class="marketBottom__market2-menu"
        :class="{ active: isActive }"
    >

        <!--                    <Link :href="route('dashboard.lots.replicate',{product:lot.id})"-->
        <!--                          class="marketBottom__market2-select">-->
        <!--                        Копировать-->
        <!--                    </Link>-->
        <Link :href="route('dashboard.lots.edit',{product:lot.id})"
              class="marketBottom__market2-select">
            Редактировать
        </Link>
        <a @click.prevent="del(lot)" href="#" class="marketBottom__market2-select">
            Удалить
        </a>

    </div>

</template>

<script setup>
import {ref, watch} from "vue";
import {Link, useForm} from "@inertiajs/vue3";

const props = defineProps({
    lot: Object,
});

const moreMenu = ref(null);
const itemMenuWindow = ref(null);
const isActive = ref(false);

const toggleState = () => {
    isActive.value = !isActive.value;
    window.addEventListener("click", listenOpenWindow)
}

const listenOpenWindow = (e) => {
    if (
        !itemMenuWindow?.value.contains(e.target) &&
        !moreMenu?.value?.contains(e.target)
    ) {
        isActive.value = false;
        window?.removeEventListener("click", listenOpenWindow);
    }
};

const form = useForm({});

const del = (item) => {
    if(confirm("Удалить предмет?")){
        form.post(route('dashboard.lots.delete',{product:item.id}), {
            preserveScroll: true
        });
        isActive.value = !isActive.value
    }
}
</script>
